Home
last modified time | relevance | path

Searched refs:anIntersector (Results 1 – 13 of 13) sorted by relevance

/dports/cad/opencascade/opencascade-7.6.0/src/BOPAlgo/
H A DBOPAlgo_MakePeriodic.cxx373 BOPAlgo_PaveFiller anIntersector; in SplitShape() local
374 anIntersector.SetArguments(theTools); in SplitShape()
376 anIntersector.AddArgument(myShape); in SplitShape()
378 anIntersector.SetGlue(BOPAlgo_GlueShift); in SplitShape()
380 anIntersector.SetNonDestructive(Standard_True); in SplitShape()
382 anIntersector.SetRunParallel(myRunParallel); in SplitShape()
384 anIntersector.Perform(); in SplitShape()
386 if (anIntersector.HasErrors()) in SplitShape()
390 myReport->Merge(anIntersector.GetReport()); in SplitShape()
400 BRepAlgoAPI_Splitter aSplitter(anIntersector); in SplitShape()
/dports/cad/opencascade/opencascade-7.6.0/src/PrsDim/
H A DPrsDim_DiameterDimension.cxx197 GeomAPI_IntCS anIntersector (aCircle, aPlane); in ComputeAnchorPoint() local
198 if (!anIntersector.IsDone()) in ComputeAnchorPoint()
205 if (anIntersector.NbPoints() != 2) in ComputeAnchorPoint()
212 gp_Pnt aFirstPoint = anIntersector.Point (1); in ComputeAnchorPoint()
213 gp_Pnt aSecondPoint = anIntersector.Point (2); in ComputeAnchorPoint()
H A DPrsDim.cxx1056 GeomAPI_ExtremaCurveCurve anIntersector (aFirstLine, aSecondLine); in InitAngleBetweenCurvilinearFaces() local
1057 anIntersector.Points (1, theCenter, theCenter); in InitAngleBetweenCurvilinearFaces()
/dports/cad/opencascade/opencascade-7.6.0/inc/
H A DTopClass_FaceClassifier.gxx107 TheIntersection2d &anIntersector = myClassifier.Intersector();
108 Standard_Integer aNbPnts = anIntersector.NbPoints();
113 aPInter = anIntersector.Point(aClosestInd);
118 aPInter = anIntersector.
121 aPInter = anIntersector.
/dports/cad/opencascade/opencascade-7.6.0/src/TopClass/
H A DTopClass_FaceClassifier.gxx107 TheIntersection2d &anIntersector = myClassifier.Intersector();
108 Standard_Integer aNbPnts = anIntersector.NbPoints();
113 aPInter = anIntersector.Point(aClosestInd);
118 aPInter = anIntersector.
121 aPInter = anIntersector.
/dports/devel/py-cadquery-pywrap/pywrap-e8c7bc9/opencascade/
H A DTopClass_FaceClassifier.gxx107 TheIntersection2d &anIntersector = myClassifier.Intersector();
108 Standard_Integer aNbPnts = anIntersector.NbPoints();
113 aPInter = anIntersector.Point(aClosestInd);
118 aPInter = anIntersector.
121 aPInter = anIntersector.
/dports/cad/opencascade/opencascade-7.6.0/src/IntTools/
H A DIntTools_EdgeFace.cxx538 IntTools_BeanFaceIntersector anIntersector(myC, myS, aTolE, aTolF); in Perform() local
539 anIntersector.SetBeanParameters(myRange.First(), myRange.Last()); in Perform()
541 anIntersector.SetContext(myContext); in Perform()
543 anIntersector.Perform(); in Perform()
545 if (anIntersector.MinimalSquareDistance() < RealLast()) in Perform()
546 myMinDistance = Sqrt (anIntersector.MinimalSquareDistance()); in Perform()
548 if(!anIntersector.IsDone()) { in Perform()
552 for(Standard_Integer r = 1; r <= anIntersector.Result().Length(); r++) { in Perform()
553 const IntTools_Range& aRange = anIntersector.Result().Value(r); in Perform()
H A DIntTools_WLineTool.cxx697 Geom2dAPI_InterCurveCurve anIntersector; in FindPoint() local
698 anIntersector.Init( aC1, aC2, aTol ); in FindPoint()
700 if ( anIntersector.NbPoints() == 0 ) in FindPoint()
706 for ( i = 1; i <= anIntersector.NbPoints(); i++ ) { in FindPoint()
707 gp_Pnt2d aPInt = anIntersector.Point( i ); in FindPoint()
/dports/cad/opencascade/opencascade-7.6.0/src/ViewerTest/
H A DViewerTest_RelationCommands.cxx130 GeomAPI_IntCS anIntersector (aGeomLine, aGeomPlane); in Get3DPointAtMousePosition() local
131 if (!anIntersector.IsDone() || anIntersector.NbPoints() == 0) in Get3DPointAtMousePosition()
135 return anIntersector.Point (1); in Get3DPointAtMousePosition()
176 GeomAPI_IntCS anIntersector (aProjLine, aPlane); in Get3DPointAtMousePosition() local
177 if (!anIntersector.IsDone() || anIntersector.NbPoints() == 0) in Get3DPointAtMousePosition()
182 theOutputPoint = anIntersector.Point (1); in Get3DPointAtMousePosition()
/dports/cad/opencascade/opencascade-7.6.0/src/BRepFill/
H A DBRepFill_TrimShellCorner.cxx2199 IntTools_BeanFaceIntersector anIntersector(anEdge, theSecPlane); in FilterSectionEdges() local
2202 anIntersector.SetBeanParameters(f, l); in FilterSectionEdges()
2205 anIntersector.SetContext(aContext); in FilterSectionEdges()
2207 anIntersector.Perform(); in FilterSectionEdges()
2209 if(anIntersector.IsDone()) { in FilterSectionEdges()
2213 for(r = 1; r <= anIntersector.Result().Length(); r++) { in FilterSectionEdges()
2214 const IntTools_Range& aRange = anIntersector.Result().Value(r); in FilterSectionEdges()
/dports/cad/opencascade/opencascade-7.6.0/src/ChFi3d/
H A DChFi3d_Builder_C1.cxx964 Geom2dInt_GInter anIntersector; in PerformOneCorner() local
1009 anIntersector.Perform (aCorkPCurve, anOtherPCurve, in PerformOneCorner()
1011 if (anIntersector.NbSegments() > 0 || in PerformOneCorner()
1012 anIntersector.NbPoints() > 0) in PerformOneCorner()
1034 anIntersector.Perform (aCorkPCurve, anOtherPCurve, in PerformOneCorner()
1036 if (anIntersector.NbSegments() > 0 || in PerformOneCorner()
1037 anIntersector.NbPoints() > 0) in PerformOneCorner()
H A DChFi3d_Builder_0.cxx2777 Geom2dInt_GInter anIntersector; in ChFi3d_StripeEdgeInter() local
2834 anIntersector.Perform (aPCurve1, in ChFi3d_StripeEdgeInter()
2838 if (anIntersector.NbSegments() > 0 || in ChFi3d_StripeEdgeInter()
2839 anIntersector.NbPoints() > 0) in ChFi3d_StripeEdgeInter()
/dports/cad/opencascade/opencascade-7.6.0/src/QABugs/
H A DQABugs_19.cxx2867 GeomAPI_IntSS anIntersector(aSurf, aSurf, Precision::Confusion()); in OCC25100() local
2869 if (!anIntersector.IsDone()) in OCC25100()